Communauté Elgg francophone

Créer un compteAide  
Connexion

Manifest.xml, compatibilité et dépendances des plugins

Elgg a besoin que tout plugin dispose d'un fichier de configuration appellé manifest.xml, placé à la racine du plugin. Ce fichier contient des informations à propos du plugin, comme son auteur ou la version du plugin. Par exemple :

<?xml version="1.0" encoding="UTF-8"?>
<plugin_manifest>
<field key="author" value="Marcus Povey" />
<field key="version" value="1.0" />
<field key="description" value="Provide a list of your or your friends recent activity!" />
<field key="website" value="http://www.elgg.org/" />
<field key="copyright" value="(C) Curverider 2008" />
<field key="licence" value="GNU Public License version 2" />
</plugin_manifest>

Ce fichier est nécessaire au fonctionnement de tout plugin, puisque Elgg s'appuie également sur ce fichier pour déterminer s'il doit charger ou non ce plugin.

 

Gestion des packages

Les champs optionnels suivants peuvent être ajoutés au manifeste pour faciliter la gestion des paquets :

<field key="recommends" value="package" />
<field key="requires" value="another_package" />
<field key="conflicts" value="different_package" />

Les auteurs de plugins peuvent également préciser quelle version minimum du coeur d'Elgg est nécessaire pour utiliser son plugin :

<field key="elgg_version" value="YYYYMMDDVV" />

YYYYMMDDVV est la valeur de la variable $version du fichier version.php situé à la racine de l'installation Elgg, par ex. : 2009021501.